> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1user



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Authentication//swagger/v1/swagger.json get /api/v1/User
openapi: 3.0.0
info:
  title: NDS.Services.Authentication
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Authentication/
security: []
paths:
  /api/v1/User:
    get:
      tags:
        - User
      operationId: User_GetUsersGET
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetUsersResult'
components:
  schemas:
    GetUsersResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
          properties:
            Users:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/User'
            TotalItems:
              type: integer
              format: int32
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    User:
      type: object
      additionalProperties: false
      required:
        - Name
        - DisplayName
        - Email
      properties:
        UserId:
          type: string
          format: guid
        Pads4ID:
          type: string
          nullable: true
        Name:
          type: string
          maxLength: 100
          minLength: 1
        DisplayName:
          type: string
          maxLength: 50
          minLength: 1
        LanguageCode:
          type: string
          nullable: true
        Email:
          type: string
          minLength: 1
        Sid:
          type: string
          nullable: true
        FirstName:
          type: string
          nullable: true
        LastName:
          type: string
          nullable: true
        NFC:
          type: string
          nullable: true
        ExternalAuthenticationProviderId:
          type: string
          nullable: true
        LdapDomainId:
          type: string
          nullable: true
        HasAuthenticator:
          type: boolean
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true

````